ur_rna.GUITester.ScriptParser

## Class ASTVarRef

- java.lang.Object
- - ur_rna.GUITester.ScriptParser.SimpleNode
  - - ur_rna.GUITester.ScriptParser.ScriptNode
    - - ur_rna.GUITester.ScriptParser.ASTVarRef

- All Implemented Interfaces:
    Node, ScriptNodePropConstants

      public class ASTVarRef
      extends ScriptNode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `varName`

    - ### Fields inherited from class ur_rna.GUITester.ScriptParser.ScriptNode

      `emptyChildArray, tokenKind`

    - ### Fields inherited from class ur_rna.GUITester.ScriptParser.SimpleNode

      `children, id, parent, parser, value`

    - ### Fields inherited from interface ur_rna.GUITester.ScriptParser.ScriptNodePropConstants

      `LHS, OPERATION, PRIMITIVE, RHS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTVarRef(GuiTestScriptParser p, int id)`
    `ASTVarRef(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeProps(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ur_rna.GUITester.ScriptParser.ScriptNode

      `add, child, childCount, dump, dump, get, getChildren, getNodeName, getNodeName, getTokenKind, getTokenName, getTokenName, hasChildren, propsToString, setTokenKind, toString`

    - ### Methods inherited from class ur_rna.GUITester.ScriptParser.SimpleNode

      `getId, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetParent, jjtSetValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### varName

          public java.lang.String varName

  - ### Constructor Detail

    - #### ASTVarRef

          public ASTVarRef(GuiTestScriptParser p,
                           int id)

    - #### ASTVarRef

          public ASTVarRef(int id)

  - ### Method Detail

    - #### writeProps

          public void writeProps(java.lang.StringBuilder sb)

      Overrides:
        `writeProps` in class `ScriptNode`